# Generated by Django 5.1.8 on 2025-04-23 18:10

import django.db.models.deletion
import sync.models
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    replaces = [('sync', '0031_metadata_metadataformat'), ('sync', '0032_alter_metadata_options_alter_metadataformat_options_and_more')]

    dependencies = [
        ('sync', '0001_squashed_0030_alter_source_source_vcodec'),
    ]

    operations = [
        migrations.CreateModel(
            name='Metadata',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, help_text='UUID of the metadata', primary_key=True, serialize=False, verbose_name='uuid')),
                ('site', models.CharField(blank=True, db_index=True, default='Youtube', help_text='Site from which the metadata was retrieved', max_length=256, verbose_name='site')),
                ('key', models.CharField(blank=True, db_index=True, default='', help_text='Media identifier at the site from which the metadata was retrieved', max_length=256, verbose_name='key')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, help_text='Date and time the metadata was created', verbose_name='created')),
                ('retrieved', models.DateTimeField(auto_now_add=True, db_index=True, help_text='Date and time the metadata was retrieved', verbose_name='retrieved')),
                ('uploaded', models.DateTimeField(db_index=True, help_text='Date and time the media was uploaded', null=True, verbose_name='uploaded')),
                ('published', models.DateTimeField(db_index=True, help_text='Date and time the media was published', null=True, verbose_name='published')),
                ('value', models.JSONField(default=dict, encoder=sync.models.JSONEncoder, help_text='JSON metadata object', verbose_name='value')),
                ('media', models.OneToOneField(help_text='Media the metadata belongs to', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='new_metadata', to='sync.media')),
            ],
            options={
                'verbose_name': 'Metadata about Media',
                'verbose_name_plural': 'Metadata about Media',
                'unique_together': {('media', 'site', 'key')},
                'get_latest_by': ['-retrieved', '-created'],
            },
        ),
        migrations.CreateModel(
            name='MetadataFormat',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, help_text='UUID of the format', primary_key=True, serialize=False, verbose_name='uuid')),
                ('site', models.CharField(blank=True, db_index=True, default='Youtube', help_text='Site from which the format is available', max_length=256, verbose_name='site')),
                ('key', models.CharField(blank=True, db_index=True, default='', help_text='Media identifier at the site from which this format is available', max_length=256, verbose_name='key')),
                ('number', models.PositiveIntegerField(help_text='Ordering number for this format', verbose_name='number')),
                ('code', models.CharField(blank=True, default='', help_text='Format identification code', max_length=64, verbose_name='code')),
                ('value', models.JSONField(default=dict, encoder=sync.models.JSONEncoder, help_text='JSON metadata format object', verbose_name='value')),
                ('metadata', models.ForeignKey(help_text='Metadata the format belongs to', on_delete=django.db.models.deletion.CASCADE, related_name='format', to='sync.metadata')),
            ],
            options={
                'verbose_name': 'Format from Media Metadata',
                'verbose_name_plural': 'Formats from Media Metadata',
                'unique_together': {('metadata', 'site', 'key', 'number')},
                'ordering': ['site', 'key', 'number'],
            },
        ),
        migrations.AlterModelTable(
            name='metadata',
            table='sync_media_metadata',
        ),
        migrations.AlterModelTable(
            name='metadataformat',
            table='sync_media_metadata_format',
        ),
        migrations.RemoveField(
            model_name='metadataformat',
            name='code',
        ),
    ]
