# Generated by Django 5.1.8 on 2025-04-23 18:06

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('sync', '0031_metadata_metadataformat'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='metadata',
            options={'get_latest_by': ['-retrieved', '-created'], 'verbose_name': 'Metadata about Media', 'verbose_name_plural': 'Metadata about Media'},
        ),
        migrations.AlterModelOptions(
            name='metadataformat',
            options={'ordering': ['site', 'key', 'number'], 'verbose_name': 'Format from Media Metadata', 'verbose_name_plural': 'Formats from Media Metadata'},
        ),
        migrations.AlterUniqueTogether(
            name='metadataformat',
            unique_together={('metadata', 'site', 'key', 'number')},
        ),
        migrations.AlterField(
            model_name='metadata',
            name='key',
            field=models.CharField(blank=True, db_index=True, default='', help_text='Media identifier at the site from which the metadata was retrieved', max_length=256, verbose_name='key'),
        ),
        migrations.AlterField(
            model_name='metadata',
            name='media',
            field=models.OneToOneField(help_text='Media the metadata belongs to', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='new_metadata', to='sync.media'),
        ),
        migrations.AlterField(
            model_name='metadata',
            name='published',
            field=models.DateTimeField(db_index=True, help_text='Date and time the media was published', null=True, verbose_name='published'),
        ),
        migrations.AlterField(
            model_name='metadata',
            name='site',
            field=models.CharField(blank=True, db_index=True, default='Youtube', help_text='Site from which the metadata was retrieved', max_length=256, verbose_name='site'),
        ),
        migrations.AlterField(
            model_name='metadata',
            name='uploaded',
            field=models.DateTimeField(db_index=True, help_text='Date and time the media was uploaded', null=True, verbose_name='uploaded'),
        ),
        migrations.AlterField(
            model_name='metadataformat',
            name='key',
            field=models.CharField(blank=True, db_index=True, default='', help_text='Media identifier at the site from which this format is available', max_length=256, verbose_name='key'),
        ),
        migrations.AlterField(
            model_name='metadataformat',
            name='metadata',
            field=models.ForeignKey(help_text='Metadata the format belongs to', on_delete=django.db.models.deletion.CASCADE, related_name='format', to='sync.metadata'),
        ),
        migrations.AlterField(
            model_name='metadataformat',
            name='site',
            field=models.CharField(blank=True, db_index=True, default='Youtube', help_text='Site from which the format is available', max_length=256, verbose_name='site'),
        ),
        migrations.AlterModelTable(
            name='metadata',
            table='sync_media_metadata',
        ),
        migrations.AlterModelTable(
            name='metadataformat',
            table='sync_media_metadata_format',
        ),
        migrations.RemoveField(
            model_name='metadataformat',
            name='code',
        ),
    ]
